local rr={}
rr.effect = love.graphics.newShader[[

extern vec2		size;
extern float	radius;
extern vec4 	clr;
//extern vec2 	cnt;
extern float 	frameWidth;
vec2 cnt = size/2;
float aliasWidth	= 0.02;
vec4 frameColor		= 3.0 * clr;

vec4 effect( vec4 color, Image tex, vec2 tc, vec2 pc )

	{
	vec2 asp	= vec2( 1.0, size.y / size.x );
	vec2 uv		= 2.0 * abs( ( pc.xy / size.xy )  -  cnt.xy / size.xy );	// how far point is from center
	vec2 nuv	= vec2( 1.0, 1.0 ) - uv;			// now range is -1 to 1
	vec2 rr		= vec2( radius, radius ) / asp;		// adjust y radius
	float r		= radius - length( ( rr - nuv ) * asp );
	float k		= mix( min(nuv.x*asp.x, nuv.y*asp.y), clamp(r, 0.0, radius), step(nuv.x, rr.x)*step(nuv.y, rr.y));
	float f		= smoothstep( 0.0, aliasWidth, k );	// color within border
	float f1	= step( k, frameWidth );
	float f2	= 1.0 - smoothstep( frameWidth - aliasWidth, frameWidth, k );
	f1			= min( f1, f2 );

	return mix( clr - uv.y * 0.5, frameColor, f1 ) * f;

	}
]]
return rr
